require 'sinatra/base'

module Rack
  class D3js < Sinatra::Base
    Root = ::File.dirname ::File.dirname ::File.dirname __FILE__
    D3jsFile = ::File.join Root, "dep", "d3", "d3.js"
    D3jsMinFile = ::File.join Root, "dep", "d3", "d3.min.js"

    get "/d3.js" do
      serve D3jsFile
    end

    get "/d3.min.js" do
      serve D3jsMinFile
    end

    def serve name
      content_type "application/javascript"
      last_modified ::File.mtime name
      ::File.read name
    end
  end
end
